Bug 48770 - [v8] Get rid of automatically generated named property getter for classes with namedItem method
Summary: [v8] Get rid of automatically generated named property getter for classes wit...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other OS X 10.5
: P2 Normal
Assignee: anton muhin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-01 11:32 PDT by anton muhin
Modified: 2010-11-08 18:32 PST (History)
2 users (show)

See Also:


Attachments
Patch (7.67 KB, patch)
2010-11-01 12:24 PDT, anton muhin
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description anton muhin 2010-11-01 11:32:20 PDT
[v8] Get rid of automatically generated named property getter for classes with namedItem method
Comment 1 anton muhin 2010-11-01 12:24:39 PDT
Created attachment 72540 [details]
Patch
Comment 2 anton muhin 2010-11-01 12:27:05 PDT
Modification of layout test expectations can look strange, however compare to http://trac.webkit.org/browser/trunk/LayoutTests/fast/dom/HTMLSelectElement/named-options-expected.txt

Probably layout test itself should be update to better reflect current situation.
Comment 3 anton muhin 2010-11-01 12:27:34 PDT
and this also fixes http://code.google.com/p/chromium/issues/detail?id=61080
Comment 4 Nate Chapin 2010-11-03 10:27:36 PDT
Comment on attachment 72540 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=72540&action=review

> WebCore/bindings/scripts/CodeGeneratorV8.pm:1716
> -    my $hasGetter = $dataNode->extendedAttributes->{"HasNameGetter"} || $hasCustomGetter || $namedPropertyGetter;
> +    my $hasGetter = $dataNode->extendedAttributes->{"HasNameGetter"} || $hasCustomGetter;

If I am reading CodeGeneratorV8.pm correctly, $namedPropertyGetter is now entirely unused.   If that is correct, please remove all other references to it before landing.
Comment 5 Nate Chapin 2010-11-03 10:30:01 PDT
(In reply to comment #4)
> (From update of attachment 72540 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=72540&action=review
> 
> > WebCore/bindings/scripts/CodeGeneratorV8.pm:1716
> > -    my $hasGetter = $dataNode->extendedAttributes->{"HasNameGetter"} || $hasCustomGetter || $namedPropertyGetter;
> > +    my $hasGetter = $dataNode->extendedAttributes->{"HasNameGetter"} || $hasCustomGetter;
> 
> If I am reading CodeGeneratorV8.pm correctly, $namedPropertyGetter is now entirely unused.   If that is correct, please remove all other references to it before landing.

Never mind, I was not reading it correctly.  It looks like we do still need it.
Comment 6 anton muhin 2010-11-08 03:10:11 PST
Thanks a lot for review, Nate!

(In reply to comment #5)
> (In reply to comment #4)
> > (From update of attachment 72540 [details] [details])
> > View in context: https://bugs.webkit.org/attachment.cgi?id=72540&action=review
> > 
> > > WebCore/bindings/scripts/CodeGeneratorV8.pm:1716
> > > -    my $hasGetter = $dataNode->extendedAttributes->{"HasNameGetter"} || $hasCustomGetter || $namedPropertyGetter;
> > > +    my $hasGetter = $dataNode->extendedAttributes->{"HasNameGetter"} || $hasCustomGetter;
> > 
> > If I am reading CodeGeneratorV8.pm correctly, $namedPropertyGetter is now entirely unused.   If that is correct, please remove all other references to it before landing.
> 
> Never mind, I was not reading it correctly.  It looks like we do still need it.
Comment 7 WebKit Commit Bot 2010-11-08 13:07:43 PST
The commit-queue encountered the following flaky tests while processing attachment 72540 [details]:

media/video-poster.html

Please file bugs against the tests.  These tests were authored by darin@apple.com, eric.carlson@apple.com, and koivisto@iki.fi.  The commit-queue is continuing to process your patch.
Comment 8 WebKit Commit Bot 2010-11-08 14:02:09 PST
The commit-queue encountered the following flaky tests while processing attachment 72540 [details]:

compositing/iframes/overlapped-nested-iframes.html
editing/selection/move-by-line-003.html

Please file bugs against the tests.  These tests were authored by mitz@webkit.org and simon.fraser@apple.com.  The commit-queue is continuing to process your patch.
Comment 9 WebKit Commit Bot 2010-11-08 15:23:21 PST
The commit-queue encountered the following flaky tests while processing attachment 72540 [details]:

animations/suspend-resume-animation.html
compositing/video/video-background-color.html

Please file bugs against the tests.  These tests were authored by cmarrin@apple.com and simon.fraser@apple.com.  The commit-queue is continuing to process your patch.
Comment 10 WebKit Commit Bot 2010-11-08 18:32:24 PST
Comment on attachment 72540 [details]
Patch

Clearing flags on attachment: 72540

Committed r71594: <http://trac.webkit.org/changeset/71594>
Comment 11 WebKit Commit Bot 2010-11-08 18:32:29 PST
All reviewed patches have been landed.  Closing bug.